### Method

# ICalGLib Component count_components

since: 1.0

#### Declaration [src]

    gint
    i_cal_component_count_components (
      ICalComponent* component,
      ICalComponentKind kind
    )

#### Description [src]

Counts the child `ICalComponent` with the target kind in the parent one.

Available since: 1.0

#### Parameters

`kind`

  Type: `ICalComponentKind`

  The target `ICalComponentKind`.

#### Return value

Type: `gint`

The count of child `ICalComponent` in the parent one.